html,
body {
  font-size: 16px; }

input[placeholder] {
  text-overflow: ellipsis; }

input::-moz-placeholder {
  text-overflow: ellipsis; }

input:-moz-placeholder {
  text-overflow: ellipsis; }

input:-ms-input-placeholder {
  text-overflow: ellipsis; }

::-webkit-input-placeholder {
  font-weight: 300; }

::-moz-placeholder {
  font-weight: 300; }

/* Firefox 19+ */
:-moz-placeholder {
  font-weight: 300; }

/* Firefox 18- */
:-ms-input-placeholder {
  font-weight: 300; }

.login-form__input-field {
  display: block;
  margin-bottom: 15px; }

.input-label-element {
  display: block; }
  .input-label-element .control-label {
    text-align: center; }

.input-label-element_checkbox {
  display: inline-block; }
  .input-label-element_checkbox span {
    color: #343434;
    font-weight: 700;
    font-size: 13px;
    font-size: 0.8125rem; }

.login-form__field {
  display: block;
  margin-bottom: 15px;
  text-align: center; }
  .login-form__field input {
    text-align: center; }

.login-form__label {
  color: #343434; }

.login-form-control {
  height: auto;
  line-height: 1.5em;
  border-radius: 30px;
  border-color: #bfbfbf;
  outline-color: #bfbfbf;
  font-size: 15px;
  font-size: 0.9375rem;
  color: #777;
  padding: 12px 25px;
  transition: all .3s ease;
  font-weight: 400; }
  .login-form-control:focus {
    border-color: #999;
    outline: 0;
    box-shadow: none; }

.login-form-label-text {
  display: block;
  font-size: 15px;
  font-size: 0.9375rem;
  margin-bottom: 12px; }

.login-layout-form__header {
  margin-bottom: 20px; }
  .login-layout-form__header .logo-img {
    text-align: center; }
  .login-layout-form__header .logo-img img {
    max-width: 100%;
    height: auto;
    width: auto;
    margin: auto; }

.login-layout-form__footer .social-links,
.login-layout-form__footer .footer-contact {
  margin-bottom: 20px; }

.login-layout-form__footer .social-links {
  text-align: center; }

.login-layout-form__body {
  margin-bottom: 35px; }

.footer-contact {
  font-size: 13px;
  font-size: 0.8125rem;
  color: #494949; }
  .footer-contact a {
    font-size: 13px;
    font-size: 0.8125rem;
    color: #494949; }

.footer-contact__title {
  font-weight: bold; }

.footer-addition-links a {
  color: #7b7b7b;
  font-size: 11px;
  font-size: 0.6875rem; }
  .footer-addition-links a:hover, .footer-addition-links a:focus {
    color: #666; }

.product-benefits {
  position: relative; }

.product-benefits__list {
  font-size: 0px;
  line-height: 0px;
  text-align: center;
  padding: 5px 15px; }

.product-benefits-list__item {
  display: inline-block;
  vertical-align: top;
  line-height: 1.3em;
  color: #343434;
  width: 15%;
  text-align: left;
  font-size: 13px;
  font-size: 0.8125rem;
  position: relative;
  padding-left: 20px;
  margin-top: 15px;
  line-height: 1.5em; }
  .product-benefits-list__item:before {
    content: '';
    position: absolute;
    display: block;
    width: 5px;
    height: 5px;
    top: 7px;
    left: 7px;
    border-radius: 50%;
    background-color: #343434; }

.btn-login {
  background-color: #6fbc5b;
  border-radius: 46px;
  line-height: 36px;
  font-size: 18px;
  font-size: 1.125rem;
  min-width: 137px;
  text-transform: uppercase;
  color: #fff;
  outline: none;
  transition: all .3s ease;
  padding: 5px 20px 5px 20px;
  white-space: nowrap; }
  .btn-login:hover, .btn-login:focus {
    color: #fff;
    background-color: #85dc6e;
    outline: none; }

.btn-login__icon,
.btn-login__text {
  vertical-align: middle;
  display: inline-block; }

.btn-login__icon {
  margin-left: -5px;
  margin-right: 5px; }

.btn-login__text {
  white-space: normal; }

html,
body {
  height: 100%;
  min-height: 100%; }

.login-page-background {
  height: 1px;
  min-height: 100%; }

.login-page {
  min-height: 100%;
  height: 1px; }

.login-page__container {
  background-color: #fff;
  background-color: rgba(255, 255, 255, 0.4);
  min-height: 100%;
  height: auto; }

.login-page__col-right,
.login-page__col-left {
  height: auto;
  min-height: 100vh; }

.login-page-background::before {
  content: "";
  display: block;
  position: fixed;
  z-index: 1;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: #fff url("https://vantact.com/images/bg.jpg") 50% 50% no-repeat;
  background-size: cover;
  background-position: fixed; }

.login-page-background .login-page-background__content {
  position: relative;
  z-index: 2; }

.login-page__col-right {
  text-align: center;
  background-color: #fff;
  box-shadow: 0px 6px 29px 0px rgba(48, 49, 49, 0.29);
  padding: 10px;
  font-size: 0px;
  line-height: 0px;
  white-space: nowrap; }
  .login-page__col-right::before {
    content: '';
    display: inline-block;
    vertical-align: middle;
    width: 0;
    height: 100%; }
  .login-page__col-right .login-layout-form-content, .login-page__col-right::before {
    display: inline-block;
    vertical-align: middle; }
  .login-page__col-right .login-layout-form-content {
    font-size: 16px;
    font-size: 1rem;
    line-height: 1.2em;
    white-space: normal; }

.login-page__col-left {
  text-align: center;
  padding: 10px 20px;
  font-size: 0px;
  line-height: 0px;
  white-space: nowrap; }
  .login-page__col-left::before {
    content: '';
    width: 0;
    height: 100%; }
  .login-page__col-left .login-page__col-left-content, .login-page__col-left::before {
    display: inline-block;
    vertical-align: middle; }
  .login-page__col-left .login-page__col-left-content {
    font-size: 16px;
    font-size: 1rem;
    line-height: 1.2em;
    white-space: normal; }

.product-promo-information {
  text-align: center; }

.product-promo-information__img {
  margin-bottom: 20px;
  text-align: center; }
  .product-promo-information__img img {
    margin: auto;
    max-width: 100%;
    height: auto; }

.login-page__col-left-content {
  max-width: 960px;
  margin: auto; }

.login-page__container:after {
  content: '';
  display: table;
  clear: both; }

.login-page__col-right {
  width: 100%;
  max-width: 330px;
  padding-top: 25px;
  padding-bottom: 25px;
  margin: auto; }

.login-page__col-left {
  display: none; }

@media screen and (min-width: 600px) {
  .login-page__col-right,
  .login-page__col-left {
    float: left;
    display: block;
    max-width: 100%; }
  .login-page__col-right {
    width: 50%;
    padding-top: 10px;
    padding-bottom: 10px; }
  .login-page__col-left {
    width: 50%; }
  .product-benefits-list__item {
    width: 50%; } }

@media screen and (min-width: 768px) {
  .login-page__col-right {
    width: 40%; }
  .login-page__col-left {
    width: 60%; }
  .product-benefits-list__item {
    width: 33%; } }

@media screen and (min-width: 992px) {
  .login-page__col-right {
    width: 40%; }
  .login-page__col-left {
    width: 60%; }
  .product-benefits-list__item {
    width: 15%; } }

@media screen and (min-width: 1000px) {
  .login-page__col-right {
    width: 35%; }
  .login-page__col-left {
    width: 65%; } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */